> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tronrental.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Список инвойсов

> Список ваших инвойсов с фильтрацией

## Список инвойсов

Возвращает пагинированный список ваших инвойсов.

### Параметры запроса

<ParamField query="page" type="number" default="1">
  Номер страницы
</ParamField>

<ParamField query="status" type="string">
  Фильтр по статусу: `pending`, `paid`, `delegated`, `expired`, `failed`
</ParamField>

### Ответ

Возвращает пагинированный объект с массивом `invoices` и общим количеством `total`.

### Пример

```bash theme={null}
curl "https://api.tronrental.com/v1/invoices/my?page=1&status=delegated" \
  -H "X-API-Key: your_api_key"
```

```json Response theme={null}
{
  "invoices": [
    {
      "invoice_id": 789,
      "payment_address": "TPaymentAddress...",
      "address": "TRecipientAddress...",
      "energy_amount": 65000,
      "duration_hours": 1,
      "price_trx": "2.75",
      "price_usdt": "0.64",
      "status": "delegated",
      "created_at": "2026-03-05T12:00:00Z"
    }
  ],
  "total": 1,
  "page": 1,
  "pages": 1
}
```
